package com.jz.dm.gateway.apigetway;


import com.alibaba.fastjson.JSON;
import com.jz.dm.common.util.WebUtils;

import java.lang.String;

import java.util.HashMap;
import java.util.Map;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.apigetway
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OpenApiTest
 * @USER: key
 * @DATE: 2020-12-6/12:53
 * @DAY_NAME_SHORT: 周日
 * @Description:
 **/
public class OpenApiTest  {
    private static  String uri="http://localhost:8088/gateway";
    public static void main(String[] args) {
        TestApi();
    }
    protected static void TestApi(){
       try {
           Map<String, String> map = new HashMap<>();
           map.put("appKey","202013114ss");
           map.put("method","query");
           map.put("charset","UTF-8");
           map.put("signType","MD5");
           map.put("timestamp", java.lang.String.valueOf(System.currentTimeMillis()));
           map.put("version","V1.0.0");
           map.put("sign","fgsvoivhiao114356");
           Map<String, Object> params = new HashMap<>();
           params.put("account_no","12345667");
           params.put("account_type","WBANK");
           map.put("params", JSON.toJSONString(params));
           WebUtils.post(uri,map);
       }catch (Exception ex){
           ex.printStackTrace();
       }
    }
}
